Loading...
Searching...
No Matches
Sqlite3SqlUtil::Sqlite3View Class Reference

represents a Sqlite3 view More...

Inherits SqlUtil::AbstractView.

## Public Member Functions

| constructor (string name, string src)
| creates the object from the arguments
string | getCreateSql (*hash< auto > opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash< auto > opt)
| returns a string that can be used to rename the view in the database

## Detailed Description

represents a Sqlite3 view

## Member Function Documentation

## getRenameSql()

softlist Sqlite3SqlUtil::Sqlite3View::getRenameSql | ( | string | new_name,
|  | *hash< auto > | opt
| ) |  |

returns a string that can be used to rename the view in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored